### Method

# Ggit Diff find_similar

#### Declaration [src]

    gboolean
    ggit_diff_find_similar (
      GgitDiff* diff,
      GgitDiffFindOptions* options,
      GError** error
    )

#### Description [src]

Transform `diff` marking file renames, copies, etc.. If `options` is set to `NULL`, then the default options will be used.

#### Parameters

`options`

  Type: `GgitDiffFindOptions`

  A `GgitDiffFindOptions` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if there were no errors, `FALSE` otherwise.